    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.beans.PropertyDescriptor

    java.lang.Object
       |
       +----java.beans.FeatureDescriptor
               |
               +----java.beans.PropertyDescriptor

public class PropertyDescriptor
extends FeatureDescriptor

A PropertyDescriptor describes one property that a Java Bean exports via a pair of accessor methods.

##

PropertyDescriptor(String, Class)
  Constructs a PropertyDescriptor for a property that follows the standard Java convention by having getFoo and setFoo accessor methods.
PropertyDescriptor(String, Class, String, String)
  This constructor takes the name of a simple property, and method names for reading and writing the property.
PropertyDescriptor(String, Method, Method)
  This constructor takes the name of a simple property, and Method objects for reading and writing the property.

##

getPropertyEditorClass()
getPropertyType()
getReadMethod()
getWriteMethod()
isBound()
  Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.
isConstrained()
  Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.
setBound(boolean)
  Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.
setConstrained(boolean)
  Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.
setPropertyEditorClass(Class)
  Normally PropertyEditors will be found using the PropertyEditorManager.

##

PropertyDescriptor

     public PropertyDescriptor(String propertyName,
                               Class beanClass) throws IntrospectionException

  Constructs a PropertyDescriptor for a property that follows the standard Java convention by having getFoo and setFoo accessor methods. Thus if the argument name is "fred", it will assume that the reader method is "getFred" and the writer method is "setFred". Note that the property name should start with a lower case character, which will be capitalized in the method names.

  Parameters:
    propertyName - The programmatic name of the property.
    beanClass - The Class object for the target bean. For example sun.beans.OurButton.class.
  Throws: IntrospectionException
    if an exception occurs during introspection.

PropertyDescriptor

     public PropertyDescriptor(String propertyName,
                               Class beanClass,
                               String getterName,
                               String setterName) throws IntrospectionException

  This constructor takes the name of a simple property, and method names for reading and writing the property.

  Parameters:
    propertyName - The programmatic name of the property.
    beanClass - The Class object for the target bean. For example sun.beans.OurButton.class.
    getterName - The name of the method used for reading the property value. May be null if the property is write-only.
    setterName - The name of the method used for writing the property value. May be null if the property is read-only.
  Throws: IntrospectionException
    if an exception occurs during introspection.

PropertyDescriptor

     public PropertyDescriptor(String propertyName,
                               Method getter,
                               Method setter) throws IntrospectionException

  This constructor takes the name of a simple property, and Method objects for reading and writing the property.

  Parameters:
    propertyName - The programmatic name of the property.
    getter - The method used for reading the property value. May be null if the property is write-only.
    setter - The method used for writing the property value. May be null if the property is read-only.
  Throws: IntrospectionException
    if an exception occurs during introspection.

##

getPropertyType

     public Class getPropertyType()

  Returns:
    The Java type info for the property. Note that the "Class" object may describe a built-in Java type such as "int". The result may be "null" if this is an indexed property that does not support non-indexed access.

    This is the type that will be returned by the ReadMethod.

getReadMethod

     public Method getReadMethod()

  Returns:
    The method that should be used to read the property value. May return null if the property can't be read.

getWriteMethod

     public Method getWriteMethod()

  Returns:
    The method that should be used to write the property value. May return null if the property can't be written.

isBound

     public boolean isBound()

  Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

  Returns:
    True if this is a bound property.

setBound

     public void setBound(boolean bound)

  Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

  Parameters:
    bound - True if this is a bound property.

isConstrained

     public boolean isConstrained()

  Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

  Returns:
    True if this is a constrained property.

setConstrained

     public void setConstrained(boolean constrained)

  Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

  Parameters:
    constrained - True if this is a constrained property.

setPropertyEditorClass

     public void setPropertyEditorClass(Class propertyEditorClass)

  Normally PropertyEditors will be found using the PropertyEditorManager. However if for some reason you want to associate a particular PropertyEditor with a given property, then you can do it with this method.

  Parameters:
    propertyEditorClass - The Class for the desired PropertyEditor.

getPropertyEditorClass

     public Class getPropertyEditorClass()

  Returns:
    Any explicit PropertyEditor Class that has been registered for this property. Normally this will return "null", indicating that no special editor has been registered, so the PropertyEditorManager should be used to locate a suitable PropertyEditor.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.